### 16.5.3.1 Command line usage

      idle.py [-c command] [-d] [-e] [-s] [-t title] [arg] ...

      -c command  run this command
      -d          enable debugger
      -e          edit mode; arguments are files to be edited
      -s          run $IDLESTARTUP or $PYTHONSTARTUP first
      -t title    set title of shell window

If there are arguments:

1. If -e is used, arguments are files opened for editing and `sys.argv` reflects the arguments passed to IDLE itself.

2. Otherwise, if -c is used, all arguments are placed in `sys.argv[1:...]`, with `sys.argv[0]` set to `'-c'`.

3. Otherwise, if neither -e nor -c is used, the first argument is a script which is executed with the remaining arguments in `sys.argv[1:...]` and `sys.argv[0]` set to the script name. If the script name is '-', no script is executed but an interactive Python session is started; the arguments are still available in `sys.argv`.